commit: a57f0605c9455581021ef8b52bd8029c46802132
Author: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Wed May 6 16:11:53 2020 +0000
Commit: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Wed May 6 16:25:03 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a57f0605
app-doc/clsync-docs: require doxygen with dot support
Doxygen must be built with dot support, otherwise dependency graphs
will not be built and API documentation will be incomplete.
Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>
app-doc/clsync-docs/clsync-docs-0.4.4-r1.ebuild | 39 +++++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/app-doc/clsync-docs/clsync-docs-0.4.4-r1.ebuild
b/app-doc/clsync-docs/clsync-docs-0.4.4-r1.ebuild
new file mode 100644
index 00000000000..f7465d6bf3b
--- /dev/null
+++ b/app-doc/clsync-docs/clsync-docs-0.4.4-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN%-docs}"
+MY_P="${MY_PN}-${PV}"
+
+SRC_URI="https://github.com/clsync/${MY_PN}/archive/v${PV}.tar.gz ->
${MY_P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="Clsync and libclsync API documentation"
+HOMEPAGE="http://ut.mephi.ru/oss/clsync https://github.com/clsync/clsync"
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="api +examples"
+
+BDEPEND="api? ( app-doc/doxygen[dot] )"
+
+src_configure() {
+ : # doxygen doesn't depend on configuration
+}
+
+src_compile() {
+ if use api; then
+ doxygen .doxygen || die "doxygen failed"
+ fi
+}
+
+src_install() {
+ dodoc CONTRIB DEVELOPING NOTES PROTOCOL README.md SHORTHANDS TODO
+ if use api; then
+ dodoc -r doc/doxygen/html doc/devel/*
+ fi
+ if use examples; then
+ dodoc -r examples
+ fi
+}